Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 04 Apr 2021 08:36:53 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I placed an order on the 22nd of march and haven’t received it yet. 

I’ve called 3 times and the customer service rep told me they have raised a complaint and that ill get a call in 24 hrs from the shipping company. 

No one has called me yet and I’ve still not received my order. 

I have a 8 month old baby and i live alone I need the high chair so that she can sit with me where ever I am. 

This is bad customer service. I am extremely disappointed with center point. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2349297